%define name	gnofin
%define version	0.8.4
%define release	2mdk

Name:		%{name}
Summary:	A simple money management application for GNOME
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Office
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	gnome-libs-devel, ORBit-devel, XFree86-devel
URL:		http://gnofin.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Gnofin is a light-weight personal finance application for GNOME well-suited for
helping you keep your checkbook and savings accounts up-to-date.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%configure

make

%install

%makeinstall

rm -rf $RPM_BUILD_ROOT%{_libdir}/gnofin/plugins/*.a

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(gnofin): \
  needs=x11\
  section=Office\
  title=Gnofin\
  command=%{_bindir}/gnofin
EOF

%{find_lang} %{name}

%post
%update_menus

%postun
%clean_menus

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.*
%{_bindir}/gnofin
%{_libdir}/gnofin/plugins/*
%{_mandir}/man1/gnofin.1*
%{_menudir}/%{name}

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-2mdk
- rebuild

* Thu Dec 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- updated to 0.8.4

* Fri Nov  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.8.3-1mdk
- initial Mandrake version
